com.beaglebuddy.id3.enums

## Enum Currency

- java.lang.Object
- - java.lang.Enum<Currency>
  - - com.beaglebuddy.id3.enums.Currency

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Currency>

      public enum Currency
      extends java.lang.Enum<Currency>

  ISO-4217 currency codes and names.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AED` United Arab Emirates Dirham
    `AFN` Afghanistan Afghani
    `ALL` Albania Lek
    `AMD` Armenia Dram
    `ANG` Netherlands Antilles Guilder
    `AOA` Angola Kwanza
    `ARS` Argentina Peso
    `AUD` Australia Dollar
    `AWG` Aruba Guilder
    `AZN` Azerbaijan New Manat
    `BAM` Bosnia and Herzegovina Convertible Marka
    `BBD` Barbados Dollar
    `BDT` Bangladesh Taka
    `BGN` Bulgaria Lev
    `BHD` Bahrain Dinar
    `BIF` Burundi Franc
    `BMD` Bermuda Dollar
    `BND` Brunei Darussalam Dollar
    `BOB` Bolivia Boliviano
    `BRL` Brazil Real
    `BSD` Bahamas Dollar
    `BTN` Bhutan Ngultrum
    `BWP` Botswana Pula
    `BYR` Belarus Ruble
    `BZD` Belize Dollar
    `CAD` Canada Dollar
    `CDF` Congo/Kinshasa Franc
    `CHF` Switzerland Franc
    `CLP` Chile Peso
    `CNY` China Yuan Renminbi
    `COP` Colombia Peso
    `CRC` Costa Rica Colon
    `CUC` Cuba Convertible Peso
    `CUP` Cuba Peso
    `CVE` Cape Verde Escudo
    `CZK` Czech Republic Koruna
    `DJF` Djibouti Franc
    `DKK` Denmark Krone
    `DOP` Dominican Republic Peso
    `DZD` Algeria Dinar
    `EGP` Egypt Pound
    `ERN` Eritrea Nakfa
    `ETB` Ethiopia Birr
    `EUR` Euro Member Countries
    `FJD` Fiji Dollar
    `FKP` Falkland Islands (Malvinas) Pound
    `GBP` United Kingdom Pound
    `GEL` Georgia Lari
    `GGP` Guernsey Pound
    `GHS` Ghana Cedi
    `GIP` Gibraltar Pound
    `GMD` Gambia Dalasi
    `GNF` Guinea Franc
    `GTQ` Guatemala Quetzal
    `GYD` Guyana Dollar
    `HKD` Hong Kong Dollar
    `HNL` Honduras Lempira
    `HRK` Croatia Kuna
    `HTG` Haiti Gourde
    `HUF` Hungary Forint
    `IDR` Indonesia Rupiah
    `ILS` Israel Shekel
    `IMP` Isle of Man Pound
    `INR` India Rupee
    `IQD` Iraq Dinar
    `IRR` Iran Rial
    `ISK` Iceland Krona
    `JEP` Jersey Pound
    `JMD` Jamaica Dollar
    `JOD` Jordan Dinar
    `JPY` Japan Yen
    `KES` Kenya Shilling
    `KGS` Kyrgyzstan Som
    `KHR` Cambodia Riel
    `KMF` Comoros Franc
    `KPW` Korea (North) Won
    `KRW` Korea (South) Won
    `KWD` Kuwait Dinar
    `KYD` Cayman Islands Dollar
    `KZT` Kazakhstan Tenge
    `LAK` Laos Kip
    `LBP` Lebanon Pound
    `LKR` Sri Lanka Rupee
    `LRD` Liberia Dollar
    `LSL` Lesotho Loti
    `LTL` Lithuania Litas
    `LVL` Latvia Lat
    `LYD` Libya Dinar
    `MAD` Morocco Dirham
    `MDL` Moldova Leu
    `MGA` Madagascar Ariary
    `MKD` Macedonia Denar
    `MMK` Myanmar (Burma) Kyat
    `MNT` Mongolia Tughrik
    `MOP` Macau Pataca
    `MRO` Mauritania Ouguiya
    `MUR` Mauritius Rupee
    `MVR` Maldives (Maldive Islands) Rufiyaa
    `MWK` Malawi Kwacha
    `MXN` Mexico Peso
    `MYR` Malaysia Ringgit
    `MZN` Mozambique Metical
    `NAD` Namibia Dollar
    `NGN` Nigeria Naira
    `NIO` Nicaragua Cordoba
    `NOK` Norway Krone
    `NPR` Nepal Rupee
    `NZD` New Zealand Dollar
    `OMR` Oman Rial
    `PAB` Panama Balboa
    `PEN` Peru Nuevo Sol
    `PGK` Papua New Guinea Kina
    `PHP` Philippines Peso
    `PKR` Pakistan Rupee
    `PLN` Poland Zloty
    `PYG` Paraguay Guarani
    `QAR` Qatar Riyal
    `RON` Romania New Leu
    `RSD` Serbia Dinar
    `RUB` Russia Ruble
    `RWF` Rwanda Franc
    `SAR` Saudi Arabia Riyal
    `SBD` Solomon Islands Dollar
    `SCR` Seychelles Rupee
    `SDG` Sudan Pound
    `SEK` Sweden Krona
    `SGD` Singapore Dollar
    `SHP` Saint Helena Pound
    `SLL` Sierra Leone Leone
    `SOS` Somalia Shilling
    `SPL` Seborga Luigino
    `SRD` Suriname Dollar
    `STD` São Principe and Tome Dobra
    `SVC` El Salvador Colon
    `SYP` Syria Pound
    `SZL` Swaziland Lilangeni
    `THB` Thailand Baht
    `TJS` Tajikistan Somoni
    `TMT` Turkmenistan Manat
    `TND` Tunisia Dinar
    `TOP` Tonga Pa'anga
    `TRY` Turkey Lira
    `TTD` Trinidad and Tobago Dollar
    `TVD` Tuvalu Dollar
    `TWD` Taiwan New Dollar
    `TZS` Tanzania Shilling
    `UAH` Ukraine Hryvna
    `UGX` Uganda Shilling
    `USD` United States Dollar
    `UYU` Uruguay Peso
    `UZS` Uzbekistan Som
    `VEF` Venezuela Bolivar Fuerte
    `VND` Viet Nam Dong
    `VUV` Vanuatu Vatu
    `WST` Samoa Tala
    `XAF` Communauté Financière Africaine (BEAC) CFA Franc BEAC
    `XCD` East Caribbean Dollar
    `XDR` International Monetary Fund (IMF) Special Drawing Rights
    `XOF` Communauté Financière Africaine (BCEAO) Franc
    `XPF` Comptoirs Français du Pacifique (CFP) Franc
    `YER` Yemen Rial
    `ZAR` South Africa Rand
    `ZMK` Zambia Kwacha
    `ZWD` Zimbabwe Dollar

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` gets the ISO-4217 currency code.
    `byte[]` | `getCodeBytes()` gets the three character ISO-4217 currency code as an array of bytes, using 1 byte for each character.
    `static Currency` | `getCurrency(java.lang.String code)` converts a three character String currency code value to its corresponding ISO-4217 currency enum.
    `java.lang.String` | `getName()` gets the name of the ISO-4217 currency.
    `java.lang.String` | `toString()` gets a string representation of the ISO-4217 currency enum.
    `static Currency` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Currency[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AED

          public static final Currency AED

      United Arab Emirates Dirham

    - #### AFN

          public static final Currency AFN

      Afghanistan Afghani

    - #### ALL

          public static final Currency ALL

      Albania Lek

    - #### AMD

          public static final Currency AMD

      Armenia Dram

    - #### ANG

          public static final Currency ANG

      Netherlands Antilles Guilder

    - #### AOA

          public static final Currency AOA

      Angola Kwanza

    - #### ARS

          public static final Currency ARS

      Argentina Peso

    - #### AUD

          public static final Currency AUD

      Australia Dollar

    - #### AWG

          public static final Currency AWG

      Aruba Guilder

    - #### AZN

          public static final Currency AZN

      Azerbaijan New Manat

    - #### BAM

          public static final Currency BAM

      Bosnia and Herzegovina Convertible Marka

    - #### BBD

          public static final Currency BBD

      Barbados Dollar

    - #### BDT

          public static final Currency BDT

      Bangladesh Taka

    - #### BGN

          public static final Currency BGN

      Bulgaria Lev

    - #### BHD

          public static final Currency BHD

      Bahrain Dinar

    - #### BIF

          public static final Currency BIF

      Burundi Franc

    - #### BMD

          public static final Currency BMD

      Bermuda Dollar

    - #### BND

          public static final Currency BND

      Brunei Darussalam Dollar

    - #### BOB

          public static final Currency BOB

      Bolivia Boliviano

    - #### BRL

          public static final Currency BRL

      Brazil Real

    - #### BSD

          public static final Currency BSD

      Bahamas Dollar

    - #### BTN

          public static final Currency BTN

      Bhutan Ngultrum

    - #### BWP

          public static final Currency BWP

      Botswana Pula

    - #### BYR

          public static final Currency BYR

      Belarus Ruble

    - #### BZD

          public static final Currency BZD

      Belize Dollar

    - #### CAD

          public static final Currency CAD

      Canada Dollar

    - #### CDF

          public static final Currency CDF

      Congo/Kinshasa Franc

    - #### CHF

          public static final Currency CHF

      Switzerland Franc

    - #### CLP

          public static final Currency CLP

      Chile Peso

    - #### CNY

          public static final Currency CNY

      China Yuan Renminbi

    - #### COP

          public static final Currency COP

      Colombia Peso

    - #### CRC

          public static final Currency CRC

      Costa Rica Colon

    - #### CUC

          public static final Currency CUC

      Cuba Convertible Peso

    - #### CUP

          public static final Currency CUP

      Cuba Peso

    - #### CVE

          public static final Currency CVE

      Cape Verde Escudo

    - #### CZK

          public static final Currency CZK

      Czech Republic Koruna

    - #### DJF

          public static final Currency DJF

      Djibouti Franc

    - #### DKK

          public static final Currency DKK

      Denmark Krone

    - #### DOP

          public static final Currency DOP

      Dominican Republic Peso

    - #### DZD

          public static final Currency DZD

      Algeria Dinar

    - #### EGP

          public static final Currency EGP

      Egypt Pound

    - #### ERN

          public static final Currency ERN

      Eritrea Nakfa

    - #### ETB

          public static final Currency ETB

      Ethiopia Birr

    - #### EUR

          public static final Currency EUR

      Euro Member Countries

    - #### FJD

          public static final Currency FJD

      Fiji Dollar

    - #### FKP

          public static final Currency FKP

      Falkland Islands (Malvinas) Pound

    - #### GBP

          public static final Currency GBP

      United Kingdom Pound

    - #### GEL

          public static final Currency GEL

      Georgia Lari

    - #### GGP

          public static final Currency GGP

      Guernsey Pound

    - #### GHS

          public static final Currency GHS

      Ghana Cedi

    - #### GIP

          public static final Currency GIP

      Gibraltar Pound

    - #### GMD

          public static final Currency GMD

      Gambia Dalasi

    - #### GNF

          public static final Currency GNF

      Guinea Franc

    - #### GTQ

          public static final Currency GTQ

      Guatemala Quetzal

    - #### GYD

          public static final Currency GYD

      Guyana Dollar

    - #### HKD

          public static final Currency HKD

      Hong Kong Dollar

    - #### HNL

          public static final Currency HNL

      Honduras Lempira

    - #### HRK

          public static final Currency HRK

      Croatia Kuna

    - #### HTG

          public static final Currency HTG

      Haiti Gourde

    - #### HUF

          public static final Currency HUF

      Hungary Forint

    - #### IDR

          public static final Currency IDR

      Indonesia Rupiah

    - #### ILS

          public static final Currency ILS

      Israel Shekel

    - #### IMP

          public static final Currency IMP

      Isle of Man Pound

    - #### INR

          public static final Currency INR

      India Rupee

    - #### IQD

          public static final Currency IQD

      Iraq Dinar

    - #### IRR

          public static final Currency IRR

      Iran Rial

    - #### ISK

          public static final Currency ISK

      Iceland Krona

    - #### JEP

          public static final Currency JEP

      Jersey Pound

    - #### JMD

          public static final Currency JMD

      Jamaica Dollar

    - #### JOD

          public static final Currency JOD

      Jordan Dinar

    - #### JPY

          public static final Currency JPY

      Japan Yen

    - #### KES

          public static final Currency KES

      Kenya Shilling

    - #### KGS

          public static final Currency KGS

      Kyrgyzstan Som

    - #### KHR

          public static final Currency KHR

      Cambodia Riel

    - #### KMF

          public static final Currency KMF

      Comoros Franc

    - #### KPW

          public static final Currency KPW

      Korea (North) Won

    - #### KRW

          public static final Currency KRW

      Korea (South) Won

    - #### KWD

          public static final Currency KWD

      Kuwait Dinar

    - #### KYD

          public static final Currency KYD

      Cayman Islands Dollar

    - #### KZT

          public static final Currency KZT

      Kazakhstan Tenge

    - #### LAK

          public static final Currency LAK

      Laos Kip

    - #### LBP

          public static final Currency LBP

      Lebanon Pound

    - #### LKR

          public static final Currency LKR

      Sri Lanka Rupee

    - #### LRD

          public static final Currency LRD

      Liberia Dollar

    - #### LSL

          public static final Currency LSL

      Lesotho Loti

    - #### LTL

          public static final Currency LTL

      Lithuania Litas

    - #### LVL

          public static final Currency LVL

      Latvia Lat

    - #### LYD

          public static final Currency LYD

      Libya Dinar

    - #### MAD

          public static final Currency MAD

      Morocco Dirham

    - #### MDL

          public static final Currency MDL

      Moldova Leu

    - #### MGA

          public static final Currency MGA

      Madagascar Ariary

    - #### MKD

          public static final Currency MKD

      Macedonia Denar

    - #### MMK

          public static final Currency MMK

      Myanmar (Burma) Kyat

    - #### MNT

          public static final Currency MNT

      Mongolia Tughrik

    - #### MOP

          public static final Currency MOP

      Macau Pataca

    - #### MRO

          public static final Currency MRO

      Mauritania Ouguiya

    - #### MUR

          public static final Currency MUR

      Mauritius Rupee

    - #### MVR

          public static final Currency MVR

      Maldives (Maldive Islands) Rufiyaa

    - #### MWK

          public static final Currency MWK

      Malawi Kwacha

    - #### MXN

          public static final Currency MXN

      Mexico Peso

    - #### MYR

          public static final Currency MYR

      Malaysia Ringgit

    - #### MZN

          public static final Currency MZN

      Mozambique Metical

    - #### NAD

          public static final Currency NAD

      Namibia Dollar

    - #### NGN

          public static final Currency NGN

      Nigeria Naira

    - #### NIO

          public static final Currency NIO

      Nicaragua Cordoba

    - #### NOK

          public static final Currency NOK

      Norway Krone

    - #### NPR

          public static final Currency NPR

      Nepal Rupee

    - #### NZD

          public static final Currency NZD

      New Zealand Dollar

    - #### OMR

          public static final Currency OMR

      Oman Rial

    - #### PAB

          public static final Currency PAB

      Panama Balboa

    - #### PEN

          public static final Currency PEN

      Peru Nuevo Sol

    - #### PGK

          public static final Currency PGK

      Papua New Guinea Kina

    - #### PHP

          public static final Currency PHP

      Philippines Peso

    - #### PKR

          public static final Currency PKR

      Pakistan Rupee

    - #### PLN

          public static final Currency PLN

      Poland Zloty

    - #### PYG

          public static final Currency PYG

      Paraguay Guarani

    - #### QAR

          public static final Currency QAR

      Qatar Riyal

    - #### RON

          public static final Currency RON

      Romania New Leu

    - #### RSD

          public static final Currency RSD

      Serbia Dinar

    - #### RUB

          public static final Currency RUB

      Russia Ruble

    - #### RWF

          public static final Currency RWF

      Rwanda Franc

    - #### SAR

          public static final Currency SAR

      Saudi Arabia Riyal

    - #### SBD

          public static final Currency SBD

      Solomon Islands Dollar

    - #### SCR

          public static final Currency SCR

      Seychelles Rupee

    - #### SDG

          public static final Currency SDG

      Sudan Pound

    - #### SEK

          public static final Currency SEK

      Sweden Krona

    - #### SGD

          public static final Currency SGD

      Singapore Dollar

    - #### SHP

          public static final Currency SHP

      Saint Helena Pound

    - #### SLL

          public static final Currency SLL

      Sierra Leone Leone

    - #### SOS

          public static final Currency SOS

      Somalia Shilling

    - #### SPL

          public static final Currency SPL

      Seborga Luigino

    - #### SRD

          public static final Currency SRD

      Suriname Dollar

    - #### STD

          public static final Currency STD

      São Principe and Tome Dobra

    - #### SVC

          public static final Currency SVC

      El Salvador Colon

    - #### SYP

          public static final Currency SYP

      Syria Pound

    - #### SZL

          public static final Currency SZL

      Swaziland Lilangeni

    - #### THB

          public static final Currency THB

      Thailand Baht

    - #### TJS

          public static final Currency TJS

      Tajikistan Somoni

    - #### TMT

          public static final Currency TMT

      Turkmenistan Manat

    - #### TND

          public static final Currency TND

      Tunisia Dinar

    - #### TOP

          public static final Currency TOP

      Tonga Pa'anga

    - #### TRY

          public static final Currency TRY

      Turkey Lira

    - #### TTD

          public static final Currency TTD

      Trinidad and Tobago Dollar

    - #### TVD

          public static final Currency TVD

      Tuvalu Dollar

    - #### TWD

          public static final Currency TWD

      Taiwan New Dollar

    - #### TZS

          public static final Currency TZS

      Tanzania Shilling

    - #### UAH

          public static final Currency UAH

      Ukraine Hryvna

    - #### UGX

          public static final Currency UGX

      Uganda Shilling

    - #### USD

          public static final Currency USD

      United States Dollar

    - #### UYU

          public static final Currency UYU

      Uruguay Peso

    - #### UZS

          public static final Currency UZS

      Uzbekistan Som

    - #### VEF

          public static final Currency VEF

      Venezuela Bolivar Fuerte

    - #### VND

          public static final Currency VND

      Viet Nam Dong

    - #### VUV

          public static final Currency VUV

      Vanuatu Vatu

    - #### WST

          public static final Currency WST

      Samoa Tala

    - #### XAF

          public static final Currency XAF

      Communauté Financière Africaine (BEAC) CFA Franc BEAC

    - #### XCD

          public static final Currency XCD

      East Caribbean Dollar

    - #### XDR

          public static final Currency XDR

      International Monetary Fund (IMF) Special Drawing Rights

    - #### XOF

          public static final Currency XOF

      Communauté Financière Africaine (BCEAO) Franc

    - #### XPF

          public static final Currency XPF

      Comptoirs Français du Pacifique (CFP) Franc

    - #### YER

          public static final Currency YER

      Yemen Rial

    - #### ZAR

          public static final Currency ZAR

      South Africa Rand

    - #### ZMK

          public static final Currency ZMK

      Zambia Kwacha

    - #### ZWD

          public static final Currency ZWD

      Zimbabwe Dollar

  - ### Method Detail

    - #### values

          public static Currency[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Currency c : Currency.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Currency valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.String getCode()

      gets the ISO-4217 currency code.
      Returns:
        the ISO-4217 currency code.

    - #### getCodeBytes

          public byte[] getCodeBytes()

      gets the three character ISO-4217 currency code as an array of bytes, using 1 byte for each character.
      Returns:
        the three character ISO-4217 currency code as an array of bytes.

    - #### getName

          public java.lang.String getName()

      gets the name of the ISO-4217 currency.
      Returns:
        the name of the currency.

    - #### getCurrency

          public static Currency getCurrency(java.lang.String code)
                                      throws java.lang.IllegalArgumentException

      converts a three character String currency code value to its corresponding ISO-4217 currency enum.
      Parameters:
        `code` - string value of the currency code to be converted to an ISO-4217 currency enum.
      Returns:
        an ISO-4217 currency enum corresponding to the string value.
      Throws:
        `java.lang.IllegalArgumentException` - if the string currency code is not a valid ISO-4217 currency code.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the ISO-4217 currency enum.
      Overrides:
        `toString` in class `java.lang.Enum<Currency>`
      Returns:
        a string representation of the ISO-4217 currency enum.